ZHA not being able to start

Hi,
i am using the Zigbee radio stick from slae.sh → CC2652RB

And it suddenly stopped working, i already reset everything associated to the ZHA Integration and also did a complete fresh reinstall of Home Assistant.

The log below is from the fresh Home Assistant install on a Raspberry Pi4 with the following versions:
Home Assistant OS 6.6
core-2021.11.4
supervisor-2021.10.8

2021-11-20 08:46:36 DEBUG (MainThread) [zigpy_znp.zigbee.application] Probing /dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick_-slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0
2021-11-20 08:46:36 DEBUG (MainThread) [zigpy_znp.uart] Connecting to /dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0 at 115200 baud
2021-11-20 08:46:36 DEBUG (MainThread) [zigpy_znp.uart] Opened /dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0 serial port
2021-11-20 08:46:36 DEBUG (MainThread) [zigpy_znp.uart] Toggling RTS/CTS to skip CC2652R bootloader
2021-11-20 08:46:36 DEBUG (MainThread) [zigpy_znp.uart] Connected to /dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0 at 115200 baud
2021-11-20 08:46:36 DEBUG (MainThread) [zigpy_znp.api] Waiting 1s before sending anything
2021-11-20 08:46:37 DEBUG (MainThread) [zigpy_znp.api] Sending bootloader skip byte
2021-11-20 08:46:37 DEBUG (MainThread) [zigpy_znp.api] Waiting 1s or until a reset indication is received
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.api] Received command: SYS.ResetInd.Callback(Reason=<ResetReason.PowerUp: 0>, TransportRev=2, ProductId=1, MajorRel=2, MinorRel=7, MaintRel=1)
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.api] Testing connection to /dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.api] Sending request: SYS.Ping.Req()
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.api] Received command: SYS.Ping.Rsp(Capabilities=<MTCapabilities.APP_CNF|GP|UTIL|ZDO|AF|SYS: 1625>)
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.api] Sending request: SYS.OSALNVLength.Req(Id=<OsalNvIds.NWKKEY: 130>)
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.api] Received command: SYS.OSALNVLength.Rsp(ItemLen=0)
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.api] Connection to /dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0 failed, cleaning up
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.uart] Closing serial port
2021-11-20 08:46:38 DEBUG (MainThread) [zigpy_znp.zigbee.application] Failed to probe ZNP radio with config {‘path’: '/dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0’, ‘flow_control’: None, ‘baudrate’: 115200}
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/zigpy_znp/zigbee/application.py”, line 160, in probe
await znp.connect()
File “/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py”, line 119, in connect
await self.nvram.determine_alignment()
File “/usr/local/lib/python3.9/site-packages/zigpy_znp/nvram.py”, line 35, in determine_alignment
value = await self.osal_read(nvids.OsalNvIds.NWKKEY, item_type=t.Bytes)
File “/usr/local/lib/python3.9/site-packages/zigpy_znp/nvram.py”, line 173, in osal_read
raise KeyError(f"NV item does not exist: {nv_id!r}")
KeyError: ‘NV item does not exist: <OsalNvIds.NWKKEY: 130>’
2021-11-20 08:46:38 DEBUG (MainThread) [bellows.ezsp] Resetting EZSP
2021-11-20 08:46:40 DEBUG (MainThread) [bellows.ezsp] Unsuccessful radio probe of '/dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-_slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0’ port
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/bellows/ezsp/init.py”, line 75, in _probe
await self.reset()
File “/usr/local/lib/python3.9/site-packages/bellows/ezsp/init.py”, line 98, in reset
await self._gw.reset()
asyncio.exceptions.CancelledError
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 492, in wait_for
fut.result()
asyncio.exceptions.CancelledError
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/bellows/ezsp/init.py”, line 59, in probe
await asyncio.wait_for(ezsp.probe(), timeout=PROBE_TIMEOUT)
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 494, in wait_for
raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError
2021-11-20 08:46:40 DEBUG (MainThread) [bellows.ezsp] Resetting EZSP
2021-11-20 08:46:42 DEBUG (MainThread) [bellows.ezsp] Unsuccessful radio probe of '/dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-_slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0’ port
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/bellows/ezsp/init.py”, line 75, in _probe
await self.reset()
File “/usr/local/lib/python3.9/site-packages/bellows/ezsp/init.py”, line 98, in reset
await self._gw.reset()
asyncio.exceptions.CancelledError
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 492, in wait_for
fut.result()
asyncio.exceptions.CancelledError
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/bellows/ezsp/init.py”, line 59, in probe
await asyncio.wait_for(ezsp.probe(), timeout=PROBE_TIMEOUT)
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 494, in wait_for
raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError
2021-11-20 08:46:42 DEBUG (MainThread) [zigpy_deconz.api] Command Command.device_state (0, 0, 0)
2021-11-20 08:46:43 WARNING (MainThread) [zigpy_deconz.api] No response to ‘Command.device_state’ command with seq id ‘0x02’
2021-11-20 08:46:43 DEBUG (MainThread) [zigpy_deconz.api] Unsuccessful radio probe of '/dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-_slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0’ port
Traceback (most recent call last):
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 492, in wait_for
fut.result()
asyncio.exceptions.CancelledError
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py”, line 391, in probe
await asyncio.wait_for(api._probe(), timeout=PROBE_TIMEOUT)
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 481, in wait_for
return fut.result()
File “/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py”, line 407, in _probe
await self.device_state()
File “/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py”, line 305, in command
return await asyncio.wait_for(fut, timeout=COMMAND_TIMEOUT)
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 494, in wait_for
raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError
2021-11-20 08:46:44 DEBUG (MainThread) [zigpy_zigate.uart] Connection made
2021-11-20 08:46:44 DEBUG (MainThread) [zigpy_zigate.uart] Send: 0x0002 b’01’
2021-11-20 08:46:44 DEBUG (MainThread) [zigpy_zigate.uart] Frame to send: b’\x00\x02\x00\x01\x02\x01’
2021-11-20 08:46:44 DEBUG (MainThread) [zigpy_zigate.uart] Frame escaped: b’\x02\x10\x02\x12\x02\x10\x02\x11\x02\x12\x02\x11’
2021-11-20 08:46:45 WARNING (MainThread) [zigpy_zigate.api] No response to command 0x0002
2021-11-20 08:46:45 WARNING (MainThread) [zigpy_zigate.api] Retry command 0x0002
2021-11-20 08:46:45 DEBUG (MainThread) [zigpy_zigate.uart] Send: 0x0002 b’01’
2021-11-20 08:46:45 DEBUG (MainThread) [zigpy_zigate.uart] Frame to send: b’\x00\x02\x00\x01\x02\x01’
2021-11-20 08:46:45 DEBUG (MainThread) [zigpy_zigate.uart] Frame escaped: b’\x02\x10\x02\x12\x02\x10\x02\x11\x02\x12\x02\x11’
2021-11-20 08:46:46 DEBUG (MainThread) [zigpy_zigate.api] Unsuccessful radio probe of '/dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-_slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0’ port
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/zigpy_zigate/api.py”, line 284, in _probe
await self.set_raw_mode()
File “/usr/local/lib/python3.9/site-packages/zigpy_zigate/api.py”, line 171, in set_raw_mode
await self.command(0x0002, data)
File “/usr/local/lib/python3.9/site-packages/zigpy_zigate/api.py”, line 133, in command
return await asyncio.wait_for(
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 468, in wait_for
await waiter
asyncio.exceptions.CancelledError
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 492, in wait_for
fut.result()
asyncio.exceptions.CancelledError
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/zigpy_zigate/api.py”, line 258, in probe
await asyncio.wait_for(api.probe(), timeout=PROBE_TIMEOUT)
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 494, in wait_for
raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError
2021-11-20 08:46:47 DEBUG (MainThread) [zigpy_xbee.api] at command: AP (2,)
2021-11-20 08:46:47 DEBUG (MainThread) [zigpy_xbee.api] Command at (b’AP’, b’\x02’)
2021-11-20 08:46:48 WARNING (MainThread) [zigpy_xbee.api] at: No response to AP command
2021-11-20 08:46:51 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:46:51 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 57600bps, trying 1200 next
2021-11-20 08:46:54 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:46:54 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 1200bps, trying 2400 next
2021-11-20 08:46:57 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:46:57 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 2400bps, trying 4800 next
2021-11-20 08:47:00 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:47:00 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 4800bps, trying 9600 next
2021-11-20 08:47:04 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:47:04 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 9600bps, trying 19200 next
2021-11-20 08:47:07 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:47:07 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 19200bps, trying 38400 next
2021-11-20 08:47:10 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:47:10 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 38400bps, trying 57600 next
2021-11-20 08:47:13 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:47:13 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 57600bps, trying 115200 next
2021-11-20 08:47:16 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:47:16 DEBUG (MainThread) [zigpy_xbee.api] Failed to enter AT command mode at 115200bps, trying 230400 next
2021-11-20 08:47:20 DEBUG (MainThread) [zigpy_xbee.api] Command mode no response to AT ‘+++’ command
2021-11-20 08:47:20 DEBUG (MainThread) [zigpy_xbee.api] Couldn’t enter AT command mode at any known baudrate.Configure XBee manually for escaped API mode ATAP2
2021-11-20 08:47:20 DEBUG (MainThread) [zigpy_xbee.api] Unsuccessful radio probe of '/dev/serial/by-id/usb-Silicon_Labs_slae.sh_cc2652rb_stick
-_slaesh_s_iot_stuff_00_12_4B_00_21_A8_E9_53-if00-port0’ port
Traceback (most recent call last):
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 492, in wait_for
fut.result()
asyncio.exceptions.CancelledError
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/zigpy_xbee/api.py”, line 597, in _probe
await self._at_command(“AP”, 2)
File “/usr/local/lib/python3.9/site-packages/zigpy_xbee/api.py”, line 385, in _at_partial
return await asyncio.wait_for(
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 494, in wait_for
raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/zigpy_xbee/api.py”, line 579, in probe
await asyncio.wait_for(api._probe(), timeout=PROBE_TIMEOUT)
File “/usr/local/lib/python3.9/asyncio/tasks.py”, line 481, in wait_for
return fut.result()
File “/usr/local/lib/python3.9/site-packages/zigpy_xbee/api.py”, line 600, in _probe
raise APIException(“Failed to configure XBee for API mode”)
zigpy.exceptions.APIException: Failed to configure XBee for API mode

Thank you very much for your help.

Hi,

I was having the same issue and it was resolved by flashing slaeh USB stick again following this guide:

https://slae.sh/projects/cc2652/#flashing

Thanks